%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin
#global pyver %{nil}

%global pypi_name pysynphot

Name:           python%{pyver}-%{pypi_name}
Version:        0.9.6
Release:        1%{?dist}
Summary:        Python Synthetic Photometry Utilities

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypy_name}
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:	python%{pyver}-devel python%{pyver}-setuptools numpy%{pyver} python%{pyver}-matplotlib pyfits%{pyver}
BuildRequires:	python%{pyver}-sphinx environment-modules python%{pyver}-stsci.distutils
#BuildRequires:	python%{pyver}-stsci.sphinxext
Requires:	numpy%{pyver} python%{pyver}-matplotlib pyfits%{pyver}

%description
This is a prototype module for manipulating spectra. It is intended for it to be
used for synthetic photometry, i.e. constructing source spectra and then passing
these spectra through an astronomical observatory (e.g. HST, JWST...).

%prep
%setup -qn %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
#. /etc/profile.d/modules.sh
#module load python
#export PYTHONPATH=%{buildroot}%{python_sitearch}
#cd doc
#make html

%files
%doc README 
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Oct 07 2014 Josko Plazonic <plazonic@princeton.edu> - 0.9.6
- initial build
